Hermos API

Apply the card the buyer entered to this subscription

Customer sessions with the update_payment_method flow only. Verifies the entered card with the processor and sets it as this subscription’s card from its next charge. Nothing is charged.

POST/subscriptions/{subscription}/payment_method_setups/{setup}/complete

Customer sessions with the update_payment_method flow only. Verifies the entered card with the processor and sets it as this subscription’s card from its next charge. Nothing is charged.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

subscription*string

Opaque subscription ID.

Match^sbs_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])
setup*string

Opaque payment method setup ID.

Match^pms_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Response Body

application/json

application/json

curl -X POST "https://example.com/subscriptions/string/payment_method_setups/string/complete"
{  "id": "string",  "status": "creating",  "status_reason": "string",  "attempt": 1,  "payment_method": {    "id": "string",    "brand": "string",    "last4": "string",    "exp_month": 0,    "exp_year": 0  },  "overdue": true,  "overdue_retry": {    "next_attempt_at": "string",    "card": "this_card"  }}